import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'discountType'
})
export class DiscountTypePipe implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 1:
        return '满减';
      case 2:
        return '抵扣';
      case 3:
        return '折扣';
    }
  }

}
